# 38. Consulta: obtener "UserData"

Obtén los "UserData" del usuario autorizado.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
consulta getUserData {
  getUserData {
    uuid
    correo electrónico
    áreaTotal
    áreaMáxima
    unidadDeÁrea
    idioma
    claveApi
    cantidadDeClasesDelConjuntoDeSuelos
    organizaciones {
      uuid
      name
      apellido
      nombre
      correo electrónico
      teléfono
      fechaCreacion
      updatedDate
      usuarios {
        uuidDeLaOrganización
        userUuid
        correo electrónico
        todasLasGranjas
        fechaCreacion
        updatedDate
        granjas {
          uuid
          userUuid
          name
          fechaCreacion
          updatedDate
          farmOwnership
          correo electrónico
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/38.-consulta-obtener-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
